Name:           xorg-x11-utils
Version:        7.5
Release:        32
Summary:        X.Org X11 X client utilities
License:        MIT
URL:            http://www.x.org
Source0:        https://www.x.org/archive/individual/app/xdpyinfo-1.3.2.tar.bz2
Source1:        https://www.x.org/archive/individual/app/xev-1.2.2.tar.bz2
Source2:        https://www.x.org/archive/individual/app/xlsatoms-1.1.2.tar.bz2
Source3:        https://www.x.org/archive/individual/app/xlsclients-1.1.4.tar.bz2
Source4:        https://www.x.org/archive/individual/app/xlsfonts-1.0.6.tar.bz2
Source5:        https://www.x.org/archive/individual/app/xprop-1.2.3.tar.bz2
Source6:        https://www.x.org/archive/individual/app/xvinfo-1.1.3.tar.bz2
Source7:        https://www.x.org/archive/individual/app/xwininfo-1.1.4.tar.bz2
Source8:        edid-decode-dcc8b834.tar.xz
Source9:        edid-decode-snapshot.sh

BuildRequires:  gettext-devel, libtool
BuildRequires:  pkgconfig(dmx), pkgconfig(x11), pkgconfig(xcb) >= 1.6
BuildRequires:  pkgconfig(xext), pkgconfig(xi), pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xinerama), pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xrandr) >= 1.2, pkgconfig(xtst), pkgconfig(xv)
BuildRequires:  pkgconfig(xxf86dga), pkgconfig(xxf86vm)
Requires:	%{name}-help = %{version}-%{release}

Provides:       edid-decode xdpyinfo = 1.3.2 xev = 1.2.2 xlsatoms = 1.1.2 xprop = 1.2.3
Provides:       xlsclients = 1.1.4 xlsfonts = 1.0.6 xvinfo = 1.1.3 xwininfo = 1.1.4

%description
X.Org X11 client utilities used to query the X server for various information.

%package_help

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8

%build
{
	for app in *
	do
		pushd $app
		if [ -e configure ]
		then
			autoreconf -vif
			%configure
		else
			export CFLAGS="%{optflags}"
			export LDFLAGS="%{?__global_ldflags}"
		fi
		%make_build
		popd
	done
}

%install
{
	for app in *
	do
		pushd $app
		%make_install
		popd
	done
}

%check

%pre

%preun

%post

%postun

%files
%{_bindir}/edid-decode
%{_bindir}/xdpyinfo
%{_bindir}/xev
%{_bindir}/xlsatoms
%{_bindir}/xlsclients
%{_bindir}/xlsfonts
%{_bindir}/xprop
%{_bindir}/xvinfo
%{_bindir}/xwininfo

%files help
%{_mandir}/man1/edid-decode.1*
%{_mandir}/man1/xdpyinfo.1*
%{_mandir}/man1/xev.1*
%{_mandir}/man1/xlsatoms.1*
%{_mandir}/man1/xlsclients.1*
%{_mandir}/man1/xlsfonts.1*
%{_mandir}/man1/xprop.1*
%{_mandir}/man1/xvinfo.1*
%{_mandir}/man1/xwininfo.1*

%changelog
* Tue Nov 10 2020 baizhonggui <baizhonggui@huawei.com> - 7.5.32
- Add install requires help package into main package

* Sat Aug 20 2020 jinzhimin <jinzhimin2@huawei.com> - 7.5-31
- Delete BuildRequires pkgconfig(xxf86misc)

* Mon Dec 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 7.5-30
- Package init
